/* extrema.h -- This file is part of GNU/Archimedes release 0.0.3.
   Archimedes is a simulator for Submicron 2D Silicon/GaAs
   Devices. It implements both the Monte Carlo method and Hybrid MEP model
   for the simulation of the semiclassical Boltzmann equation for both
   electrons and holes. It also includes the quantum effects by means 
   of effective potential method.

   Copyright (C) 2004, 2005, 2006, 2007 Jean Michel Sellier <sellier@dmi.unict.it>
 
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
   USA.  */


// ######################################################
// Created on 18 Mar.2004, Siracusa, J.M.Sellier
// Last modif. : 26 feb.2005, Siracusa, J.M.Sellier
// ######################################################

// Maximum and minimum functions.

// **********************************************

inline real minimus(real x,real y)
{
/* this function returns the minimum between x and y */

 if(x<=y) return(x);
 else return(y);
}

// **********************************************

inline real maximus(real x,real y)
{
/* this function returns the maximum between x and y */

 if(x<=y) return(y);
 else return(x);
}

// **********************************************
